/*
 *	MikDLL - Done by MikMak / HaRDCoDE '95
 *	contributions - Paul Hsieh
 */
#ifndef MDLL_H
#define MDLL_H

struct mdllInit {
    void * (* malloc) (unsigned int size);
    void (*free) (void *);
};

typedef struct dllIntfH * mdllHandle;

extern int MDLL_Init (struct mdllInit * initCfg);

extern mdllHandle MDLL_NewInterface (void);
extern int        MDLL_DestroyInterface (mdllHandle);
extern char *     MDLL_GetErr (mdllHandle);

extern int    MDLL_Export (mdllHandle, char * objName, void * obj);
extern int    MDLL_RemoveExport (mdllHandle, char * objName);
extern void * MDLL_Import (mdllHandle, char * objName);
extern int    MDLL_WalkPool (mdllHandle mdllH, 
			int (* iter)(void * parm, char * name), void * parm);
extern int    MDLL_Unbind (mdllHandle);
extern int    MDLL_Bind (mdllHandle, char * fileName);

#endif
