#ifndef MDLL_PRIVATE_INCLUDE
#define MDLL_PRIVATE_INCLUDE

#include "mdll.h"

extern struct mdllInit memApi;

// Declare PE type as void *.. we don't want to bother the calling program
// with the complex PE defines..

typedef struct PE PE;

extern void PE_Free (PE *p);
extern PE *PE_ReadFN (mdllHandle mdllH, char *filename);
extern void *PE_ImportFnc (PE *p, char *funcname);

typedef struct EXPORTENTRY{
    struct EXPORTENTRY * next;
    char * name;
    void * obj;
} EXPORTENTRY;

struct dllIntfH {
    int isParent;
    mdllHandle alt;
    PE * pefile;
    EXPORTENTRY * pool;
    char *dll_error;
    char msgbuf[180];
};

#endif
